<?php
/**
* Prestashop Addons | Module by: <App1Pro>
*
* @author    Chuyen Nguyen [App1Pro].
* @copyright Chuyenim@gmail.com
* @license   http://app1pro.com/license.txt
*/

class ProductCommentProCustomer extends ObjectModel
{
    public $id_customer;
    public $nickname;
    public $avatar;
    public $mailing = 1;
    public $date_upd;

    public static $definition = array(
        'table' => 'product_comment_pro_customer',
        'primary' => 'id_customer',
        'multilang' => false,
        'fields' => array(
            'id_customer'   => array('type' => self::TYPE_INT, 'validate' => 'isUnsignedId', 'required' => true),
            'nickname'      => array('type' => self::TYPE_STRING, 'validate' => 'isName', 'required' => true),
            'avatar'        => array('type' => self::TYPE_STRING, 'validate' => 'isString'),
            'mailing'       => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'date_upd'      => array('type' => self::TYPE_DATE, 'validate' => 'isDateFormat'),
        ),
    );
}
