<?php
/**
* Prestashop Addons | Module by: <App1Pro>
*
* @author    Chuyen Nguyen [App1Pro].
* @copyright Chuyenim@gmail.com
* @license   http://app1pro.com/license.txt
*/

class ProductCommentProReport extends ObjectModel
{
    public $id_product_comment_pro_report;
    public $id_comment;
    public $id_customer;
    public $reason;
    public $date_add;

    public static $definition = array(
        'table' => 'product_comment_pro_report',
        'primary' => 'id_product_comment_pro_report',
        'multilang' => false,
        'fields' => array(
            'id_comment'   => array('type' => self::TYPE_INT, 'validate' => 'isUnsignedId', 'required' => true),
            'id_customer'  => array('type' => self::TYPE_INT, 'validate' => 'isUnsignedId'),
            'reason'       => array('type' => self::TYPE_STRING, 'validate' => 'isString'),
            'date_add'     => array('type' => self::TYPE_DATE, 'validate' => 'isDateFormat'),
        ),
    );


    public function deleteReports($id_comment = 0)
    {
        $sql = 'DELETE FROM `'._DB_PREFIX_.'product_comment_pro_report`
                WHERE `id_comment` = '.(int)$id_comment;
        return Db::getInstance()->execute($sql);
    }

    public static function getAll($id_comment)
    {
        $sql = 'SELECT
                CONCAT(c.firstname, " ", c.lastname) as nickname,
                a.*
            FROM `'._DB_PREFIX_.'product_comment_pro_report` a
            LEFT JOIN '._DB_PREFIX_.'customer c ON (a.id_customer = c.id_customer)
            WHERE a.`id_comment` = '.(int)$id_comment.';';

        return Db::getInstance()->executeS($sql);
    }
}
