{**
* Prestashop Addons | Module by: <App1Pro>
*
* @author    Chuyen Nguyen [App1Pro].
* @copyright Chuyenim@gmail.com
* @license   http://app1pro.com/license.txt
*}


<ul class="comments">
{* define the function *}
{function name=tree level=0}
	{foreach $data as $row}
		<li id="comment-{$row.id|escape:'htmlall':'UTF-8'}" data-id="{$row.id|escape:'htmlall':'UTF-8'}" data-cust="{$row.id_customer|escape:'htmlall':'UTF-8'}" class="cmmnt">
            <div class="avatar"><img src="{if !empty($row.avatar)}{$smarty.const._MODULE_PCP_AVT_URI_|escape:'htmlall':'UTF-8'}{$row.avatar|escape:'htmlall':'UTF-8'}{else}{$_path|escape:'htmlall':'UTF-8'}views/img/avatars/default.png{/if}"></div>
			<div class="cmmnt-content">
				<header>
					<a class="userlink">{$row.nickname|escape:'htmlall':'UTF-8'}</a>
					<span class="pubdate">• {l s='posted' mod='productcommentpro'} <time class="timeago" datetime="{date('c', strtotime($row.date_add))|escape:'htmlall':'UTF-8'}">{$row.date_add|date_format:'%c'|escape:'htmlall':'UTF-8'}</time></span>
				</header>
				<div class="cmmnt-text">
					{if !empty($row.mention)}
					<span class="replyto"> <i class="icon icon-share" title="{l s='Reply' mod='productcommentpro'}"></i> <em>{$row.mention|escape:'htmlall':'UTF-8'}</em></span>
					{/if}
                    <span class="cmmnt-c">{$row.comment|escape:'htmlall':'UTF-8'|nl2br nofilter}</span>
				</div>
				<footer>
					<div class="voteup" style="display: inline;">
						<span class="point point-up{if $row.votes_up > 0} green{/if}">{$row.votes_up|escape:'htmlall':'UTF-8'}</span>
						<span class="thumbup{if $row.my_point > 0} active{/if}">
                            <a href="javascript:void(0);">
                                {if $smarty.const._PS_VERSION_|@addcslashes:'\'' < '1.7'}
                                <i class="icon icon-thumbs-up"></i>
                                {else}
                                <i class="material-icons">thumb_up</i>
                                {/if}
                            </a>
                        </span>
					</div>
                    <span>|</span>
					<div class="votedown" style="display: inline;">
						<span class="point point-down{if $row.votes_down > 0} red{/if}">{$row.votes_down|escape:'htmlall':'UTF-8'}</span>
                        <span class="thumbdown{if $row.my_point && $row.my_point < 0} active{/if}">
                            <a href="javascript:void(0);">
                                {if $smarty.const._PS_VERSION_|@addcslashes:'\'' < '1.7'}
                                <i class="icon icon-thumbs-down"></i>
                                {else}
                                <i class="material-icons">thumb_down</i>
                                {/if}
                            </a>
                        </span>
					</div>
                    <span class="reply"><a href="javascript:void(0);">{l s='• Reply' mod='productcommentpro'}</a></span>
                    <span class="report"><a href="javascript:void(0);"> {l s='• Report' mod='productcommentpro'}</a></span>
                    {if $is_pcpadmin}
                    <span class="edit yellow"><a href="javascript:void(0);"> {l s='• Edit' mod='productcommentpro'}</a></span>
                    <span class="delete red"><a href="javascript:void(0);"> {l s='• Delete' mod='productcommentpro'}</a></span>
                    {/if}
				</footer>
			</div>
			{if !empty($row.children)}
				<ul class="replies">
				{tree data=$row.children level=$level+1}
				</ul>
			{/if}
		</li>
	{/foreach}
{/function}

{* run the array through the function *}
{tree data=$comments}

</ul>
{if $max_page > 1}
<div class="pagination">
    <ul>
        
        {if $current_page > 1}
        <li rel="1"><a href="javascript:void(0);">«</a></li>
        {for $page=($current_page - 2) to ($current_page - 1)}
            {if $page >= 1}
            <li rel="{$page|escape:'htmlall':'UTF-8'}"><a href="javascript:void(0);">{$page|escape:'htmlall':'UTF-8'}</a></li>
            {/if}
        {/for}
        {/if}

        <li class="current" rel="{$current_page|escape:'htmlall':'UTF-8'}"><span>{$current_page|escape:'htmlall':'UTF-8'}</span></li>
        {*else*}
        
        {if $current_page < $max_page}

        {for $page=($current_page + 1) to ($current_page + 2)}
            {if $page <= $max_page}
            <li rel="{$page|escape:'htmlall':'UTF-8'}"><a href="javascript:void(0);">{$page|escape:'htmlall':'UTF-8'}</a></li>
            {/if}
        {/for}
        <li rel="{$max_page|escape:'htmlall':'UTF-8'}"><a href="javascript:void(0);">»</a></li>
        {/if}
        
    </ul>
</div>
{/if}
