<?php
/**
* Prestashop Addons | Module by: <App1Pro>
*
* @author    Chuyen Nguyen [App1Pro].
* @copyright Chuyenim@gmail.com
* @license   http://app1pro.com/license.txt
*/

class ProductCommentProVote extends ObjectModel
{
    public $id_product_comment_pro_vote;
    public $id_comment;
    public $id_customer = 0;
    public $point;
    public $date_add;

    public static $definition = array(
        'table' => 'product_comment_pro_vote',
        'primary' => 'id_product_comment_pro_vote',
        'multilang' => false,
        'fields' => array(
            'id_comment'    => array('type' => self::TYPE_INT, 'validate' => 'isUnsignedId', 'required' => true),
            'id_customer'   => array('type' => self::TYPE_INT, 'validate' => 'isUnsignedId', 'required' => true),
            'point'         => array('type' => self::TYPE_INT, 'validate' => 'isInt', 'required' => true),
            'date_add'      => array('type' => self::TYPE_DATE, 'validate' => 'isDateFormat'),
        ),
    );
    
    public function exist()
    {
        $sql = 'SELECT id_product_comment_pro_vote FROM `'._DB_PREFIX_.'product_comment_pro_vote`
                WHERE `id_comment` = '.(int)$this->id_comment.' AND `id_customer` = '.(int)$this->id_customer;
        $id_vote = Db::getInstance()->getValue($sql);
        if (!empty($id_vote)) {
            $this->id_product_comment_pro_vote = $id_vote;
            $this->id = $id_vote;
            return $this;
        }
        return false;
    }

    public function unVote()
    {
        if ($this->exist()) {
            return $this->delete();
        }
        return false;
    }
}
