<?php
/**
* Prestashop Addons | Module by: <App1Pro>
*
* @author    Chuyen Nguyen [App1Pro].
* @copyright Chuyenim@gmail.com
* @license   http://app1pro.com/license.txt
*/

$sql = array();

$sql[] = 'CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'product_comment_pro_comment` (
            `id_product_comment_pro_comment` int(11) NOT NULL AUTO_INCREMENT,
            `id_parent` int(11) NOT NULL DEFAULT 0,
            `id_product` int(11) NOT NULL,
            `id_customer` int(11) NULL,
            `id_mention` int(11) NOT NULL DEFAULT 0,
            `comment` text,
            `email` varchar(200) NULL DEFAULT NULL,
            `name` varchar(100) NULL DEFAULT NULL,
            `status` tinyint(1) DEFAULT 0,
            `approved` tinyint(1) DEFAULT 0,
            `date_add` datetime NOT NULL,
            `date_upd` datetime DEFAULT NULL,
    PRIMARY KEY (`id_product_comment_pro_comment`)
    ) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8';

$sql[] = 'CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'product_comment_pro_customer` (
            `id_customer` int(11) NOT NULL,
            `nickname` varchar(40) NULL DEFAULT NULL,
            `avatar` varchar(100) NULL DEFAULT NULL,
            `mailing` TINYINT(1) NOT NULL DEFAULT 1,
            `date_upd` datetime DEFAULT NULL,
    PRIMARY KEY (`id_customer`)
    ) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8';

$sql[] = 'CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'product_comment_pro_notif` (
            `id_product_comment_pro_notif` int(11) NOT NULL AUTO_INCREMENT,
            `id_product` int(11) NOT NULL,
            `id_comment` int(11) NOT NULL,
            `id_customer` int(11) NULL DEFAULT 0,
            `type` tinyint(1) NOT NULL DEFAULT 0,
            `unread` tinyint(1) NOT NULL DEFAULT 1,
            `date_add` datetime NOT NULL,
    PRIMARY KEY (`id_product_comment_pro_notif`)
    ) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8';

$sql[] = 'CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'product_comment_pro_report` (
            `id_product_comment_pro_report` int(11) NOT NULL AUTO_INCREMENT,
            `id_comment` int(11) NOT NULL,
            `id_customer` int(11) NULL DEFAULT 0,
            `reason` varchar(250) NULL DEFAULT NULL,
            `date_add` datetime NOT NULL,
    PRIMARY KEY (`id_product_comment_pro_report`)
    ) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8';

$sql[] = 'CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'product_comment_pro_vote` (
            `id_product_comment_pro_vote` int(11) NOT NULL AUTO_INCREMENT,
            `id_comment` int(11) NOT NULL,
            `id_customer` int(11) NULL DEFAULT 0,
            `point` tinyint(1) NOT NULL DEFAULT 0 COMMENT "up:1, down:-1",
            `date_add` datetime NOT NULL,
    PRIMARY KEY (`id_product_comment_pro_vote`)
    ) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8';

$sql[] = 'ALTER TABLE `'._DB_PREFIX_.'product_comment_pro_vote` ADD UNIQUE( `id_comment`, `id_customer`);';

foreach ($sql as $query) {
    if (Db::getInstance()->execute($query) == false) {
        return false;
    }
}
