{**
* Prestashop Addons | Module by: <App1Pro>
*
* @author    Chuyen Nguyen [App1Pro].
* @copyright Chuyenim@gmail.com
* @license   http://app1pro.com/license.txt
*}

<!-- MODULE ProductCommentPro -->
<!-- Fancybox -->
<div style="display: none;">
    <div id="commentp_user" class="panel-group commentp-popup">
		<div class="panel panel-default">
			<div class="panel-heading">
				<a data-toggle="collapse" data-parent="#commentp_user" href="#faq-cat-1-sub-1">
					<h4 class="panel-title">
						{l s='Notifications' mod='productcommentpro'} ({$count_notifs|escape:'htmlall':'UTF-8'})
					</h4>
				</a>
			</div>
			<div id="faq-cat-1-sub-1" class="panel-collapse collapse">
				<div class="panel-body">
					<div class="notif-list">
						{foreach from=$notifs key=k item=notif}
                        {assign var="nickname" value=$notif.nickname|default:"someone"}
                        <a target="_blank" href="{$notif.url|escape:'htmlall':'UTF-8'}" class="{if $notif.unread}unread{/if}">
                            {if $notif.type == ProductCommentProNotif::TYPE_REPLY}
                            {l s='[1]%nickname%[/1] replied your comment on [2]%product%[/2]' sprintf=['[1]' => '<strong>', '%nickname%' => $nickname, '[/1]' => '</strong>', '[2]' => '<i>', '%product%' => $notif.product_name, '[/2]' => '</i>'] mod='productcommentpro'}
                            {elseif $notif.type == ProductCommentProNotif::TYPE_REACT}
                            {l s='[1]%nickname%[/1] reacted your comment on [2]%product%[/2]' sprintf=['[1]' => '<strong>', '%nickname%' => $nickname, '[/1]' => '</strong>', '[2]' => '<i>', '%product%' => $notif.product_name, '[/2]' => '</i>'] mod='productcommentpro'}
                            {/if}
						</a>
						{/foreach}
					</div>
				</div>
			</div>
		</div>
		<div class="panel panel-default panel-faq">
			<div class="panel-heading">
				<a data-toggle="collapse" data-parent="#commentp_user" href="#faq-cat-1-sub-2">
					<h4 class="panel-title">
						{l s='Edit Comment Profiles' mod='productcommentpro'}
					</h4>
				</a>
			</div>
			<div id="faq-cat-1-sub-2" class="panel-collapse collapse in">
				<div class="panel-body">
					<form method="POST" id="pcp_accountform" class="pcppopup-form" action="#" enctype="multipart/form-data">
						<div class="content">
							<div class="account-block">
								<div class="avatar">
									<img src="{$account.avatar_url|escape:'htmlall':'UTF-8'}" id="cus_avatar" width="55px" height="55px">
								</div>

								<div class="form-group">
									<label for="website">{l s='Nickname' mod='productcommentpro'}</label>
									<input type="text" class="form-control" id="nickname" placeholder="{l s='Your nickname. At least 3 charecters' mod='productcommentpro'}" name="nickname" value="{if !empty($account.id)}{$account.nickname|escape:'htmlall':'UTF-8'}{else}{$nickname|escape:'htmlall':'UTF-8'}{/if}" />
								</div>

								<div class="form-group">
									<label for="website">{l s='Avatar' mod='productcommentpro'}</label>
									<input type="file" class="form-control" id="avatar" name="avatar" />
									<div class="description">{l s='Filetype: %s' sprintf=['JPG|PNG'] mod='productcommentpro'}.</div>
								</div>
								<div class="checkbox">
									<label for="mailing">
										<input type="checkbox" id="mailing" name="mailing" value="1"{if $account.mailing} checked{/if}>
									{l s='Get notification emails when someone react to your comments.' mod='productcommentpro'}
									</label>
								</div>
							</div>

							<footer>
								<div id="cmmntp_error" class="fl" style="width: 60%;color: red;"></div>
								<div class="fr">
									<input type="hidden" name="action" value="account"/>
									<button type="submit" name="submitAccount" class="btn btn-primary">{l s='Save' mod='productcommentpro'}</button>&nbsp;
									{l s='or' mod='productcommentpro'}&nbsp;<a href="javascript:void(0);" onclick="$.fancybox.close();">{l s='Cancel' mod='productcommentpro'}</a>
								</div>
								<div class="clearfix"></div>
							</footer>
						</div>
					</form>
				</div>
			</div>
		</div>
    </div>
</div>
<!-- End fancybox -->

{if isset($version_17) && $version_17}
<a 	href="javascript:void(0);" class="col-lg-4 col-md-6 col-sm-6 col-xs-12" id="lnk_prodcommentpro" title="{l s='Product Comment' mod='productcommentpro'}">
	<span class="link-item">
	<i class="material-icons">comment</i>
	<span>{l s='Product Comment Profiles' mod='productcommentpro'}</span>
	</span>
</a>
{else}
<li id="lnk_prodcommentpro">
    <a 	href="javascript:void(0);" title="{l s='Product Comment' mod='productcommentpro'}">
        <i class="icon-comments"></i>
        <span>{l s='Product Comment Profiles' mod='productcommentpro'}</span>
    </a>
</li>
{/if}

<script type="text/javascript">
const PCP_URL = "{$pcp_url nofilter}";
</script>

<!-- :END OF MODULE ProductCommentPro -->