{**
* Prestashop Addons | Module by: <App1Pro>
*
* @author    Chuyen Nguyen [App1Pro].
* @copyright Chuyenim@gmail.com
* @license   http://app1pro.com/license.txt
*}

<!-- Product Comments Pro -->
<section id="commentpro" class="page-comment-box{if version_compare($smarty.const._PS_VERSION_, '1.7.0.0 ', '>=')} ps17{/if}">
    <h3 class="page-product-heading">{$pcp_title|escape:'htmlall':'UTF-8'} ({$no_comments|escape:'htmlall':'UTF-8'})</h3>

	{if $fb_comment_on}
    <div class="fb-comments" xid="{$id_product|escape:'htmlall':'UTF-8'}" data-numposts="20" data-width="100%" data-colorscheme="light"></div>
	{/if}
    <div class="block_content productcommentpro-content">
        <div id="commentpro_list">
            {include file="./comment_list.tpl"}
        </div>
        <div class="waiting" style="display:none; margin-bottom:5px;text-align:center;"><img src="{$_path|escape:'htmlall':'UTF-8'}views/img/wait.gif" width="20px" height="20px"></div>

        <div class="replywrap">
            <form method="post" class="replyform">
                <textarea class="form-control pcpeditor" name="data[comment]" rows="3" placeholder="{l s='Enter your comment ...' mod='productcommentpro'}" data-confirm="{l s='Please enter your comment!' mod='productcommentpro'}"></textarea>
                <div class="text-right">
                    <input type="hidden" name="data[id_product]" value="{$id_product|escape:'htmlall':'UTF-8'}"/>
                    <input type="hidden" name="data[id_parent]" value="0"/>
                    <input type="hidden" name="data[id_mention]" value="0"/>
                    <input type="hidden" name="action" value="savedata"/>
                    <input type="submit" name="save" class="btn btn-primary" value="{l s='Send' mod='productcommentpro'}" disabled="true"/>
                </div>
            </form>
        </div>
	</div>
</section>

<!-- Fancybox -->
<div style="display:none">
    
    <div id="registerModal" class="commentp-popup register">
		<header>{l s='Send a message' mod='productcommentpro'}</header>
        <div class="content">
            <div class="column column-left">
                <p class="box-header">{l s='Please login to send messages:' mod='productcommentpro'}</p>
                <p style="text-align: center;">
                    <a class="btn btn-primary" href="{$login_url}">Login as a customer</a>
                </p>
                <p style="text-align: center;">
                    {l s='No account?' mod='productcommentpro'} <a class="" href="{$register_url}">{l s='Register here!' mod='productcommentpro'}</a>
                </p>
            </div>
            <div class="column column-right">
                <p class="box-header">{l s='Or quick message:' mod='productcommentpro'}</p>
                <form id="registerForm">
                    <div class="form-group">
                      <input type="text" name="data[email]" id="email" placeholder="Email" class="text ">
                      </div>
                    <div class="form-group">
                      <input type="text" name="data[name]" id="name" placeholder="Name" class="text">
                    </div>
                    <div class="submit">
                        <button type="submit" class="button btn btn-primary">{l s='Submit' mod='productcommentpro'}</button>
                    </div>
                </form>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>

    <div id="commentpalert" class="commentp-popup">
		<header>{l s='New comment' mod='productcommentpro'}</header>
        <div class="content">{l s='Your comment has been added and will be available once approved by a moderator.' mod='productcommentpro'}</div>
		<br>
		<div class="text-center">
			<button type="submit" class="btn btn-primary" onclick="$.fancybox.close();">
				<span>{l s='OK' mod='productcommentpro'}</span>
			</button>
		</div>
	</div>
    
    <div id="commentpublished" class="commentp-popup">
		<header>{l s='New comment' mod='productcommentpro'}</header>
        <div class="content">{l s='Your comment has been published!' mod='productcommentpro'}</div>
		<br>
		<div class="text-center">
			<button type="submit" class="btn btn-primary" onclick="$.fancybox.close();">
				<span>{l s='OK' mod='productcommentpro'}</span>
			</button>
		</div>
	</div>
    
    <div id="commentpreport_thanks" class="commentp-popup">
        <header>{l s='Report Comment' mod='productcommentpro'}</header>
        <div class="content">{l s='Thank you for reporting.' mod='productcommentpro'}</div>
		<br>
		<div class="text-center">
			<button type="submit" class="btn btn-primary" onclick="$.fancybox.close();">
				<span>{l s='OK' mod='productcommentpro'}</span>
			</button>
		</div>
	</div>
    
    <div id="commentpreport" class="commentp-popup">
        <form id="pcp_reportform" class="pcppopup-form" action="#">
            <header class="title">{l s='Report Comment' mod='productcommentpro'}</header>
            <div class="content">
                <div class="description">{l s='Report spam, abuse, or inappropriate content' mod='productcommentpro'}</div>

                <label for="reason">{l s='Your reason' mod='productcommentpro'}<sup class="required">*</sup></label>
                <textarea name="data[reason]" class="form-control" rows="4"></textarea>

                <footer>
                    <input type="hidden" name="data[id_comment]" value=""/>
                    <input type="hidden" name="action" value="report"/>
                    <div class="fl required"><sup>*</sup> {l s='Required fields' mod='productcommentpro'}</div>
                    <div class="fr">
                        <button type="submit" name="submitReport" class="btn btn-primary" disabled="true">{l s='Send' mod='productcommentpro'}</button>&nbsp;
                        {l s='or' mod='productcommentpro'}&nbsp;<a href="javascript:void(0);" onclick="$.fancybox.close();">{l s='Cancel' mod='productcommentpro'}</a>
                    </div>
                    <div class="clearfix"></div>
                </footer>
            </div>
        </form>
    </div>
    
    <div id="commentpedit" class="commentp-popup">
        <form id="pcp_editform" class="pcppopup-form" action="#">
            <header class="title">{l s='Edit Comment' mod='productcommentpro'}</header>
            <div class="content">
                <textarea name="data[comment]" class="form-control" rows="4"></textarea>

                <footer>
                    <input type="hidden" name="data[id]" value=""/>
                    <input type="hidden" name="action" value="edit"/>
                    <div class="fr">
                        <button type="submit" name="submitReport" class="btn btn-primary" disabled="true">{l s='Send' mod='productcommentpro'}</button>&nbsp;
                        {l s='or' mod='productcommentpro'}&nbsp;<a href="javascript:void(0);" onclick="$.fancybox.close();">{l s='Cancel' mod='productcommentpro'}</a>
                    </div>
                    <div class="clearfix"></div>
                </footer>
            </div>
        </form>
    </div>
</div>
<!-- End fancybox -->

<script type="text/javascript">
const PCP_URL = "{$pcp_url nofilter}";
const ID_PRODUCT = "{$id_product|escape:'htmlall':'UTF-8'}";
var current_page = 1;
var id_customer = {$id_customer|default: 0|escape:'htmlall':'UTF-8'};
var fb_app_id = {$fb_app_id|escape:'htmlall':'UTF-8'};
var _txt_donot_permission_ = "{l s='Please login or register!' mod='productcommentpro' js=1}";
var _txt_delete_confirm_ = "{l s='Are you sure you want to delete this selected item?' mod='productcommentpro' js=1}";
</script>

<!--end Product Comments Pro -->